'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import { Formik, Form, Field } from 'formik';
import React from 'react';
import Swal from 'sweetalert2';
import * as Yup from 'yup';

export default  function(){
    const submitForm = () => {
        const toast = Swal.mixin({
            toast: true,
            position: 'top',
            showConfirmButton: false,
            timer: 3000,
        });
        toast.fire({
            icon: 'success',
            title: 'فرم با موفقیت ارسال شد',
            padding: '10px 20px',
        });
    };

    const SubmittedForm = Yup.object().shape({
        email: Yup.string().email('ایمیل نامعتبر').required('لطفا ایمیل را پر کنید'),
    });

    return (
        <PanelCodeHighlight
            title="ایمیل"
        >
            <div className="mb-5">
                <Formik
                    initialValues={{
                        email: '',
                    }}
                    validationSchema={SubmittedForm}
                    onSubmit={() => {}}
                >
                    {({ errors, submitCount, touched }) => (
                        <Form className="space-y-5">
                            <div className={submitCount ? (errors.email ? 'has-error' : 'has-success') : ''}>
                                <label htmlFor="Email">ایمیل</label>
                                <Field name="email" type="text" id="Email" placeholder=" ایمیل" className="form-input" />

                                {submitCount ? errors.email ? <div className="mt-1 text-danger">{errors.email}</div> : <div className="mt-1 text-success">خوب است</div> : ''}
                            </div>
                            <button
                                type="submit"
                                className="btn btn-primary !mt-6"
                                onClick={() => {
                                    if (touched.email && !errors.email) {
                                        submitForm();
                                    }
                                }}
                            >
                                ارسال
                            </button>
                        </Form>
                    )}
                </Formik>
            </div>
        </PanelCodeHighlight>
    );
}
